import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import JupiterLogoLight from './JupiterLogoLight';
import JupiterLogoDark from './JupiterLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const JupiterLogoSvg = forwardRef(function JupiterLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(JupiterLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(JupiterLogoLight, Object.assign({}, props, { ref: ref })));
});
export default JupiterLogoSvg;
